# Uses of Class
org.apache.zookeeper.graph.FilterOp

Packages that use FilterOp
Package
Description
org.apache.zookeeper.graph
org.apache.zookeeper.graph.filterops

## Uses of FilterOp in org.apache.zookeeper.graph

Fields in org.apache.zookeeper.graph with type parameters of type FilterOp
Modifier and Type
Field
Description
`protected List<FilterOp>`
FilterOp.`subOps`
Methods in org.apache.zookeeper.graph that return FilterOp
Modifier and Type
Method
Description
`static FilterOp`
FilterOp.`newOp(String op)`
`FilterOp`
FilterParser.`parse()`
Methods in org.apache.zookeeper.graph with parameters of type FilterOp
Modifier and Type
Method
Description
`void`
FilterOp.`addSubOp(FilterOp op)`
`LogIterator`
Log4JSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
LogSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
MergedLogSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
TxnLogSource.`iterator(long starttime, long endtime, FilterOp filter)`

## Uses of FilterOp in org.apache.zookeeper.graph.filterops

Subclasses of FilterOp in org.apache.zookeeper.graph.filterops
Modifier and Type
Class
Description
`class`
`AndOp`
`class`
`EqualsOp`
`class`
`GreaterThanOp`
`class`
`LessThanOp`
`class`
`NotOp`
`class`
`OrOp`
`class`
`XorOp`